#include <bits/stdc++.h>
#define ll long long
using namespace std;

ll x[1010];

int main() {
    ll n, l; 
    cin >> n >> l;

    for (int i = 1; i <= n; i++) {
        cin >> x[i];
        if (x[i] <= l) {
            cout << i << endl;
            return 0;
        }
    }
    cout << -1 << endl;
    return 0;
}